if(!dojo._hasResource["voila.form.FilteringSelect"]){
	dojo._hasResource["voila.form.FilteringSelect"] = true;
	dojo.provide("voila.form.FilteringSelect");

	dojo.require("dijit.form.FilteringSelect");

	dojo.declare("voila.form.FilteringSelect", [dijit.form.FilteringSelect], {
	    _setMaxOptions: function(size, request){
	    	this._maxOptions = size;
	    	if (request.maxOptions) {
	        	this._maxOptions = request.maxOptions; 
	    	}
	    },
        isValid: function() {
        	return (this.item && this.item.value != "" && this.item.value != " ") || (!this.required && (this.get("displayedValue") == undefined || this.get("displayedValue").trim() == ""));
        }
	});
}
